Subject: Re: [bitcoin-dev] Bitcoin Roadmap 2015, or "If We Do Nothing" Analysis

From: Dave Scotese <[email-masked]>
Date: Fri, 24 Jul 2015 08:08:24 -0700

On Fri, Jul 24, 2015 at 4:38 AM, Mike Hearn <[email-masked]> wrote:

> It's worth noting that even massive companies with $30M USD of funding
>> don't run a single Bitcoin Core node
>
>
> This has nothing to do with block sizes, and everything to do with Core
> not directly providing the services businesses actually want.
>
> The whole "node count is falling because of block sizes" is nothing more
> than conjecture presented as fact. The existence of multiple companies who
> could easily afford to do this but don't because they perceive it as
> valueless should be a wakeup call there.
>

Regardless of why node count is falling, many people who used to run a full
node stopped doing so.  To mitigate that, their chances of getting
something out of it have to be greater.  What if propagating a valid
transaction generated a small chance of earning a piece of the fee?